// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_FunctionResult.h"
#include "K2Node_FunctionResult.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_FunctionResult::SCW_UK2Node_FunctionResult(UK2Node_FunctionResult* InK2Node_FunctionResult) : SCW_UK2Node_FunctionTerminator(InK2Node_FunctionResult), K2Node_FunctionResult(InK2Node_FunctionResult)
{

}

UK2Node_FunctionResult* SCW_UK2Node_FunctionResult::ToUK2Node_FunctionResult() const
{
	return K2Node_FunctionResult;
}

ISCW_UK2Node_FunctionResultPtr SCW_UK2Node_FunctionResult::ToUK2Node_FunctionResultPtr()
{
	return GetSharedThisAs<SCW_UK2Node_FunctionResult>();
}

ISCW_UK2Node_FunctionResultConstPtr SCW_UK2Node_FunctionResult::ToUK2Node_FunctionResultPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_FunctionResult>();
}